%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate tungstenite

Name:           rust-tungstenite
Version:        0.21.0
Release:    1%{?dist}
Summary:        Lightweight stream-based WebSocket implementation

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/tungstenite
Source0:         %{crates_source}
Patch:          tungstenite-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Lightweight stream-based WebSocket implementation.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+__rustls-tls-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+__rustls-tls-devel %{_description}

This package contains library source intended for building other packages which
use the "__rustls-tls" feature of the "%{crate}" crate.

%files       -n %{name}+__rustls-tls-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+data-encoding-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+data-encoding-devel %{_description}

This package contains library source intended for building other packages which
use the "data-encoding" feature of the "%{crate}" crate.

%files       -n %{name}+data-encoding-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+handshake-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+handshake-devel %{_description}

This package contains library source intended for building other packages which
use the "handshake" feature of the "%{crate}" crate.

%files       -n %{name}+handshake-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+http-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+http-devel %{_description}

This package contains library source intended for building other packages which
use the "http" feature of the "%{crate}" crate.

%files       -n %{name}+http-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+httparse-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+httparse-devel %{_description}

This package contains library source intended for building other packages which
use the "httparse" feature of the "%{crate}" crate.

%files       -n %{name}+httparse-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+native-tls-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+native-tls-devel %{_description}

This package contains library source intended for building other packages which
use the "native-tls" feature of the "%{crate}" crate.

%files       -n %{name}+native-tls-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+native-tls-crate-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+native-tls-crate-devel %{_description}

This package contains library source intended for building other packages which
use the "native-tls-crate" feature of the "%{crate}" crate.

%files       -n %{name}+native-tls-crate-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rustls-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rustls-devel %{_description}

This package contains library source intended for building other packages which
use the "rustls" feature of the "%{crate}" crate.

%files       -n %{name}+rustls-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rustls-native-certs-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rustls-native-certs-devel %{_description}

This package contains library source intended for building other packages which
use the "rustls-native-certs" feature of the "%{crate}" crate.

%files       -n %{name}+rustls-native-certs-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rustls-pki-types-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rustls-pki-types-devel %{_description}

This package contains library source intended for building other packages which
use the "rustls-pki-types" feature of the "%{crate}" crate.

%files       -n %{name}+rustls-pki-types-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rustls-tls-native-roots-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rustls-tls-native-roots-devel %{_description}

This package contains library source intended for building other packages which
use the "rustls-tls-native-roots" feature of the "%{crate}" crate.

%files       -n %{name}+rustls-tls-native-roots-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rustls-tls-webpki-roots-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rustls-tls-webpki-roots-devel %{_description}

This package contains library source intended for building other packages which
use the "rustls-tls-webpki-roots" feature of the "%{crate}" crate.

%files       -n %{name}+rustls-tls-webpki-roots-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+sha1-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+sha1-devel %{_description}

This package contains library source intended for building other packages which
use the "sha1" feature of the "%{crate}" crate.

%files       -n %{name}+sha1-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+url-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+url-devel %{_description}

This package contains library source intended for building other packages which
use the "url" feature of the "%{crate}" crate.

%files       -n %{name}+url-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+webpki-roots-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+webpki-roots-devel %{_description}

This package contains library source intended for building other packages which
use the "webpki-roots" feature of the "%{crate}" crate.

%files       -n %{name}+webpki-roots-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.21.0-1
- initial build
